<!DOCTYPE html>
<html>
    <head>
        <title><%= full_title(yield(:title)) %></title>
        <meta content="<%= meta_description(yield(:description)) %>" name="description">
        <meta content="<%= meta_keywords(yield(:keywords)) %>" name="keywords">
        <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" name="viewport">
        <meta name="mobile-web-app-capable" content="yes">
        <meta property="og:title" content="Annabel Dunstone Gray" />
        <meta property="og:type" content="website" />
        <meta property="og:description" content="Web Developer" />
        <meta property="og:url" content="http://annabeldunstone.com/" />
        <meta property="og:image" content="<%= image_path 'site_preview.png' %>" />
        <%= stylesheet_link_tag    'application', media: 'all' %>
        <%= javascript_include_tag 'application' %>
        <%= respond_include_tags %>
        <%= csrf_meta_tags %>

        <%= favicon_link_tag %>
        <link rel="apple-touch-icon" sizes="180x180" href="<%= image_path 'apple-touch-icon-180x180.png' %>">

      <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
      <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
      <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
    </head>
    <body>
        <div class="content">
            <%= render "partials/navbar" %>
            <div class="content-wrap">
                <div class="main-content">
                    <%= yield %>
                </div>
            </div>
        </div>
        <%= render "partials/footer" unless current_page?(root_url) %>
        <% if Rails.env.production? %>
        <script>
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                    m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

            ga('create', 'UA-63797749-1', 'auto');
            ga('send', 'pageview');
        </script>
        <% end %>
    </body>
</html>
